Edit

Delete customer defaultDimensions (v1.0)

Deletes the default dimensions of the customer in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

DELETE businesscentralPrefix/companies({companyId})/customers({customerId})/defaultDimensions({customerId},{dimensionId})

Request headers (v1.0)

Header Value
Authorization Bearer {token}. Required.
If-Match Required. When this request header is included and the eTag provided does not match the current tag on the customers, the customers will not be updated.

Request body (v1.0)

Do not supply a request body for this method.

Response (v1.0)

If successful, this method returns a 204 No Content response code and it deletes the default dimensions for the customer and corresponding dimension.

Example (v1.0)

Request

Here is an example of the request.

DELETE https://{businesscentralPrefix}/api/v1.0/companies({companyId})/customers({customerId})/defaultDimensions({customerId},{dimensionId})

Response

No Content.

Tips for working with the APIs

Customer
Create customer defaultDimensions
Update customer defaultDimensions
Get customer defaultDimensions